Bug 119063 - Compaq laptop USB HID crash at boot. nousb flag does not help
Compaq laptop USB HID crash at boot. nousb flag does not help
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-24 11:31 EST by 'Dragon' Dave McKee
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:15:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description 'Dragon' Dave McKee 2004-03-24 11:31:41 EST
Description:
System will not boot: various error messages (noted below 
in 'additional information') - 1 minute pause whilst initialising USB 
HID interface. Use of 'nousb' flag or variants (listed below) appear 
to have no effect. I don't really need USB support in linux (I have a 
USB scanner I can live happily without), and would be happy with a 
temporary fix that disables it entirely.

Reproducability:
Every time, regardless of use of nousb flag.

Steps to reproduce:
1. Installed Fedora, used nousb flag
2. Attempt to boot off it; optionally using 'nousb', 'nousb 
noauto', 'nousb pci=off' or no appendage to the kernel line in GRUB. -
 it makes no difference.
3. System crashes.
    
Actual Results:
See 'Additional Information' for full results. Fine up until that 
point.

Expected Results:
Fedora should have booted into either Gnome, KDE or a console.

Additional information:
Compaq Evo N1015v (laptop). Known problems with USB support on this 
model; attempted to disable with nousb flags, still get USB messages!

Output to Console 1: 

...
Initialising USB controller (usb-ohci)               [  OK  ]
Mounting USB filesystem                              [  OK  ]
Initialising USB HID interface

>> At this point the system pauses for a minute or so. On the 
graphical side the 'determining hostname' message disappears and the 
spinner continues to spin.

The system then flips to a black screen with a functional 'X' cursor 
[X windows]. Reverting to console 1 yields the following: sadly the 
screen depth isn't sufficient to get the full error message...<<

                                                     [FAILED]
*** An error ouccured during the system file check.
*** Dropping you to a shell; the system will reboot
*** when you leave the shell.
/etc/rc.d/rc.sysinit: line 555: /sbin/sulogin: Input/output error
Unmounting filesystem
Warnning: Error reading /etc/fstab: Input/output error
mount: can't find / in /etc/fstab or /etc/mtab
Auto reboot in progress
/etc/rc.d/rc.sysinit: line 561: /sbin/reboot: Input/output error
Mounting Local filesystems:                                [  OK  ]
Enabling local filesystem quotas:
execvp: Input/output error                                 [FAILED]
... >> more errors <<
Comment 1 Thomas Gordon 2004-03-30 18:08:57 EST
I don't see HID support (hid.ko) in the ramdisk for ppc.  Maybe related?
Comment 2 Arjan van de Ven 2004-03-31 01:13:44 EST
hid is built in and not a module so you wouldn't see it in the ramdisk :)
Comment 3 Thomas Gordon 2004-03-31 03:42:00 EST
in 2.6.4-1.298-ppc:
.config contains CONFIG_USB_HID=m
the file /lib/modules/2.6.4-1.298/kernel/drivers/usb/input/hid.ko
exists and Paul Nasrat's patch for
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=119411 adds it to
mk-images

should it be built in?  this is the pmac_defconfig iirc.
Comment 4 David Lawrence 2004-09-29 16:15:16 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.